Subject: bug#11984: 24.1; segfault while deleting a window

From: Chong Yidong <[email-masked]>
Date: Sat, 21 Jul 2012 14:31:28 +0800

Russell Sim <[email-masked]> writes:

> Oh crap, I just realised that you didn't add you full patch in the
> commit.  I have re-compiled and included the extra in
> window-absolute-pixel-edges and delete-other-windows-internal changes.
> Unfortunately I still get the error.
>
> I here is an updated core
> file. http://russellsim.org/emacs-24.3770cb4-patch.core

Hmm, I'm not sure the core file loaded properly for me.  Can you trigger
the crash with Emacs running in gdb?  Do you get the following strange
result from printing f->output_data?

(gdb) p f->output_data
$4 = {
  tty = 0xc2, 
  x = 0xc2, 
  w32 = 0xc2, 
  ns = 0xc2, 
  nothing = 194
}

Also, please provide the step-by-step recipe that you are using to run
the tests?  If I can try to reproduce the crash myself, debugging will
go faster.